apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: gitops-tenant-team-a
resources:
  - demo-image-update.yaml
  - demo-istio-canary.yaml
patches:
  - target:
      kind: Kustomization
    patch: |
      kind: Kustomization
      metadata:
        name: .*
      spec:
        serviceAccountName: reconciler
        dependsOn:
          - name: gitops
        interval: 1m
        retryInterval: 30s
        prune: true
        wait: true
        decryption:
          provider: sops
          secretRef:
            name: sops-age
  - target:
      kind: HelmRelease
    patch: |
      kind: HelmRelease
      metadata:
        name: .*
      spec:
        serviceAccountName: reconciler
